IFAPI_NV Struct Reference

`#include <ifapi_keystore.h>`

## Data Fields

TPM2B_NV_PUBLIC | public
UINT8_ARY | serialization
UINT32 | hierarchy
char * | policyInstance
char * | description
UINT8_ARY | appData
TPMI_YES_NO | with_auth
char * | event_log

## Detailed Description

Type for representing a FAPI NV object

## Field Documentation

## appData

UINT8_ARY appData

Application data

## description

char* description

Human readable description of key

## event_log

char* event_log

The event log if NV type is pcr

## hierarchy

UINT32 hierarchy

The hierarchy used for NV object creation

## policyInstance

char* policyInstance

Keys policy

## public

TPM2B_NV_PUBLIC public

The wrapped public portion of the object

## serialization

UINT8_ARY serialization

None

## with_auth

TPMI_YES_NO with_auth

Authorization provided during creation

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_keystore.h